From b4649fc90597910c89c3f37a6aec9af54d9f416b Mon Sep 17 00:00:00 2001
From: Lars Hjemli <hjemli@gmail.com>
Date: Sun, 11 Nov 2007 00:40:58 +0100
Subject: Create initial testsuite

This creates a simple testsuite, heavily inspired by the testsuite in git.

Signed-off-by: Lars Hjemli <hjemli@gmail.com>
---
 tests/t0010-validate-html.sh | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100755 tests/t0010-validate-html.sh

(limited to 'tests/t0010-validate-html.sh')

diff --git a/tests/t0010-validate-html.sh b/tests/t0010-validate-html.sh
new file mode 100755
index 0000000..907a415
--- /dev/null
+++ b/tests/t0010-validate-html.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+. ./setup.sh
+
+
+test_url()
+{
+	tidy_opt="-eq"
+	test -z "$NO_TIDY_WARNINGS" || tidy_opt+=" --show-warnings no"
+	cgit_url "$1" | sed -e "1,4d" >trash/tidy-$test_count
+	tidy $tidy_opt trash/tidy-$test_count
+	rc=$?
+	if test $rc = 2
+	then
+		false
+	else
+		:
+	fi
+}
+
+prepare_tests 'Validate html with tidy'
+
+run_test 'index page' 'test_url ""'
+run_test 'foo' 'test_url "foo"'
+run_test 'foo/log' 'test_url "foo/log"'
+run_test 'foo/tree' 'test_url "foo/tree"'
+run_test 'foo/tree/file-1' 'test_url "foo/tree/file-1"'
+run_test 'foo/commit' 'test_url "foo/commit"'
+run_test 'foo/diff' 'test_url "foo/diff"'
+
+tests_done
-- 
cgit v1.2.3-2-g168b